import * as Cheerio from "cheerio";
import * as O from "fp-ts/Option";
export declare const enumSuffixR: RegExp;
export declare const fromDocument: ($: Cheerio.CheerioAPI) => Enum[];
export declare const fromHeader: ($: Cheerio.CheerioAPI) => ($h6: Cheerio.Cheerio<Cheerio.Element>) => {
    identifier: string;
    values: {
        name: string;
        value: string;
        description: O.Option<string>;
    }[];
};
export declare type Enum = ReturnType<ReturnType<typeof fromHeader>>;
export declare const identifier: (heading: string) => string;
export declare const values: ($: Cheerio.CheerioAPI) => ($table: Cheerio.Cheerio<Cheerio.Element>) => {
    name: string;
    value: string;
    description: O.Option<string>;
}[];
export declare const value: ($name: Cheerio.Cheerio<Cheerio.Element>, $value: O.Option<Cheerio.Cheerio<Cheerio.Element>>, $description: O.Option<Cheerio.Cheerio<Cheerio.Element>>) => {
    name: string;
    value: string;
    description: O.Option<string>;
};
